[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# loadunicodemapping

Load textual single-byte codepage to Unicode map from file

## Declaration

Source position: charset.pp line 67

`function loadunicodemapping(`
`const cpname: string;`
`const f: string;`
`cp: Word`
`):punicodemap;`

## Arguments

`cpname` |  | Codepage name
`f` |  | File to open and analyse
`cp` |  | Numerical code page identifier.

## Function result

The single-byte to Unicode map, or Nil on error.

## Description

loadunicodemapping loads a text description of a single-byte Unicode mapping. It will analyse the textual description in file f, and produce an in-memory map of the file. It returns a pointer to the map, or Nil if something went wrong. The Unicode map name must be specified in cpName, and the numerical identifier in cp

The resulting mapping can be registered using registermapping.

## Errors

On error, Nil is returned.

## See also

loadbinaryunicodemapping |  | Load binary single-byte codepage to Unicode map from file or memory
registermapping |  | Register mapping